# Markdown
{:.no_toc}

<nav markdown="1" class="toc-class">
* TOC
{:toc}
</nav>

## The goal

The VS Code Python cell have [markdown](https://www.markdownguide.org/basic-syntax/)!​

Questions to [David Rotermund](mailto:davrot@uni-bremen.de)


## Equations

```python
# %% [markdown]
# $A(t) = \int_0^t f(x) dt$
```

![image0](image0.png)

## Heading level 

```python
# %% [markdown]
# # Heading level 1
# ## Heading level 2
# ### Heading level 3
# #### Heading level 4
# ##### Heading level 5
# ###### Heading level 6
```

![image1](image1.png)

## Italic and Bold 

```python
# %% [markdown]
# *italic*
# **bold**
# ***both***
```

![image2](image2.png)

## List with numbers 

```python
# %% [markdown]
# 1. A
# 2. B
# 3. C
#       1. C1
#       2. C2
# 4. D
```

![image3](image3.png)

## List without numbers 

```python
# %% [markdown]
# * A
# * B
# * C
#   * C1
#   * C2
# * D
```

![image4](image4.png)

## Quotes

```python
# %% [markdown]
# > Quote level 1
# > > Quote level 2
```

![image5](image5.png)
